> ## Documentation Index
> Fetch the complete documentation index at: https://docs.passform.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1templates images

> Upload an images used in a template. This is a multipart/form-data request where the files are attached and keyed after their purpose.



## OpenAPI

````yaml /api-reference/openapi.json post /v1/templates/{templateId}/images
openapi: 3.1.0
info:
  title: Passform API
  description: The Passform API for creating Google and Apple wallet passes
  version: 0.1.0
servers:
  - url: https://api.passform.io
security: []
tags:
  - name: auth
    description: Routes for managing API keys
  - name: templates
    description: >-
      Templates represent the appearance of a pass. They include information on
      things such as icons, images, colours and text. A template is used by a
      pass to define how the pass should look and behave.
  - name: passes
    description: >-
      A pass is an individual instance based on a template. It contains details
      that are specific to its instance.
  - name: apple
    description: >-
      Routes used by apple to update passes and manage devices associated to
      passes.
externalDocs:
  url: https://swagger.io
  description: Find more info here
paths:
  /v1/templates/{templateId}/images:
    post:
      tags:
        - templates
      description: >-
        Upload an images used in a template. This is a multipart/form-data
        request where the files are attached and keyed after their purpose.
      parameters:
        - schema:
            type: string
          in: query
          name: accountId
          required: false
        - schema:
            type: string
          in: path
          name: templateId
          required: true
          description: The tempalteId, this template might not exist yet
      responses:
        '200':
          description: >-
            A record of the images and their urls. This will only return entries
            for updated images
          content:
            application/json:
              schema:
                description: >-
                  A record of the images and their urls. This will only return
                  entries for updated images
                type: object
                properties:
                  icon:
                    description: The url to the image
                    type: string
                  logo:
                    description: The url to the image
                    type: string
                  banner:
                    description: The url to the image
                    type: string
                  background:
                    description: The url to the image
                    type: string
                  thumbnail:
                    description: The url to the image
                    type: string
              example:
                icon: >-
                  https://my-shout-platform.appspot.com/accounts%2FaccountId%2Ftemplates%2FtenokateId%2Ficon%402x.png
                logo: >-
                  https://my-shout-platform.appspot.com/accounts%2FaccountId%2Ftemplates%2FtenokateId%2Flogo%402x.png
                banner: >-
                  https://my-shout-platform.appspot.com/accounts%2FaccountId%2Ftemplates%2FtenokateId%2Fbanner%402x.png
                background: >-
                  https://my-shout-platform.appspot.com/accounts%2FaccountId%2Ftemplates%2FtenokateId%2Fbackground%402x.png
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/def-0'
      security:
        - bearerAuth: []
components:
  schemas:
    def-0:
      type: object
      properties:
        statusCode:
          type: number
        code:
          type: string
        error:
          type: string
        message:
          type: string
      title: HttpError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````